export default function Home() {
  return (
    <div className={"grid grid-cols-2 grid-rows-2"}>
      <Logo />

      <Menu />
    </div>
  );
}

function Logo() {
  return (
    <div
      className={
        "m-4 box-border w-16 cursor-pointer select-none border border-4 border-red-900 bg-white text-center shadow-lg"
      }
    >
      LOGO
    </div>
  );
}

function Menu() {
  return (
    <div
      className={
        "top-2 right-2 flex origin-center items-center justify-end gap-2 pr-5 align-middle underline underline-offset-2"
      }
    >
      <div className={"cursor-pointer bg-green-300"}>定价</div>
      <div className={"cursor-pointer bg-green-300"}>注册/登录</div>
      <input type="date" className="mt-1 block w-full" />
      <select className="form-select px-4 py-3">
        <optgroup label={"xxx"}>
          <title>xxx</title>
          <option>中文</option>
          <option>英文</option>
        </optgroup>
        <optgroup label={"www"}>
          <option>中文</option>
          <option>英文</option>
        </optgroup>
      </select>
    </div>
  );
}
